> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justpaid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer Payment Methods Get Api

> Retrieves all payment methods for a customer.



## OpenAPI

````yaml get /api/v1/customer/{customer_uuid}/payment-methods
openapi: 3.1.0
info:
  title: NinjaAPI
  version: 1.0.0
  description: ''
servers:
  - url: https://api.justpaid.io
security: []
paths:
  /api/v1/customer/{customer_uuid}/payment-methods:
    get:
      summary: Customer Payment Methods Get Api
      description: Retrieves all payment methods for a customer.
      operationId: loopfour_backend_customer_api_external_customer_payment_methods_get_api
      parameters:
        - in: path
          name: customer_uuid
          schema:
            title: Customer Uuid
            type: string
          required: true
      responses:
        '200':
          description: Payment methods retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerPaymentMethodsOut'
              example:
                credit_cards:
                  - brand: visa
                    last4: '4242'
                    expiration_date: 12/25
                ach_accounts:
                  - account_mask: '1234'
                    account_type: checking
                    account_name: Primary Checking
                    institution_name: Bank of America
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
              example:
                detail: Customer with UUID X not found
      security:
        - HttpBearerAuth: []
components:
  schemas:
    CustomerPaymentMethodsOut:
      properties:
        credit_cards:
          default: []
          description: List of credit card payment methods
          items:
            $ref: '#/components/schemas/CustomerPaymentMethodCardOut'
          title: Credit Cards
          type: array
        ach_accounts:
          default: []
          description: List of ACH payment methods
          items:
            $ref: '#/components/schemas/CustomerPaymentMethodAchOut'
          title: Ach Accounts
          type: array
      title: CustomerPaymentMethodsOut
      type: object
    CustomerPaymentMethodCardOut:
      properties:
        brand:
          description: The brand of the credit card
          example: visa
          title: Brand
          type: string
        last4:
          description: Last 4 digits of the card number
          example: '4242'
          title: Last4
          type: string
        expiration_date:
          description: Card expiration date in MM/YY format
          example: 12/25
          title: Expiration Date
          type: string
      title: CustomerPaymentMethodCardOut
      type: object
    CustomerPaymentMethodAchOut:
      properties:
        account_mask:
          description: Last 4 digits of the account number
          example: '1234'
          title: Account Mask
          type: string
        account_type:
          description: The type of the account (e.g., checking, savings)
          example: checking
          title: Account Type
          type: string
        account_name:
          description: The name of the account
          example: Primary Checking
          title: Account Name
          type: string
        institution_name:
          description: The name of the institution
          example: Bank of America
          title: Institution Name
          type: string
      title: CustomerPaymentMethodAchOut
      type: object
  securitySchemes:
    HttpBearerAuth:
      type: http
      scheme: bearer

````